<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<?php init_head(); ?>

<?php init_tail(); ?>

<!DOCTYPE html>

<html lang="en">

<head>

    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <meta charset="UTF-8">

    <title>Quản lý Công Nợ</title>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.17.3/xlsx.full.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.4.0/jspdf.umd.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf-autotable/3.5.13/jspdf.plugin.autotable.min.js"></script>





    <link href="<?php echo module_dir_url('congno', 'assets/css/style.css'); ?>" rel="stylesheet">

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <?php

        try {

            $this->congno_model->sync_salary_table();

            $this->session->set_flashdata('success_message', 'Đồng bộ bảng công nợ thành công.');                          

        } catch (Exception $e) {

            $this->session->set_flashdata('error', 'Có lỗi xảy ra khi đồng bộ bảng lương!.');

            log_message('error', 'Lỗi khi đồng bộ bảng lương: ' . $e->getMessage());

            show_error('Có lỗi xảy ra khi đồng bộ bảng lương.' . $e->getMessage());

        }           

    ?>

</head>